Ordexs API v1 Get an API key

Bulk

Create a bulk file slot

POSThttps://api.ordexs.com/v1/bulk_uploads

A slot to PUT a bulk job's NDJSON file to (one JSON object per line, 10 MB at most), within 15 minutes. Pass its id to POST /v1/bulk_jobs as upload_id.

Body

  • sizeintegerRequired

    Bytes.

    1–10485760

Returns

201 Created · The slot. Upload

  • objectstring

    always "upload"

  • idstring

    starts with upl_

  • upload_urlstring
  • methodstring

    always "PUT"

  • headersobject
  • max_bytesinteger
  • expires_atstring

    ISO 8601 date-time, UTC

Errors

Every error has the same shape. This endpoint can answer with: